Skip to main content
`Ctrl`+`K`

# ISInitializePackage

This function initializes everything in the `IS` package. It is called from PetscDLLibraryRegister_petscvec() when using dynamic libraries, and on the first call to ISCreateXXXX() when using shared or static libraries.

## Synopsis

    #include "petscvec.h" */
    PetscErrorCode ISInitializePackage(void)

## See Also

`PetscInitialize()`

## Level

developer

## Location

src/vec/vec/interface/dlregisvec.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages